import { BaseProvider } from '#templates/base/provider';
import { AuditOutbox } from '#models/AuditOutbox';

export class AuditOutboxProvider extends BaseProvider<AuditOutbox> {
	public static instance: AuditOutboxProvider;

	public static getInstance(): AuditOutboxProvider {
		AuditOutboxProvider.instance ??= new AuditOutboxProvider();
		return AuditOutboxProvider.instance;
	}

	public static get model() {
		return AuditOutbox;
	}

	constructor() {
		super('AuditOutbox');
	}
}
